FreeBSD Administration - Bug #646

Sqlite3 Fails To Install With NPM on FreeBSD
08/27/2015 10:26 PM - Daniel Curtis
Assignee: Daniel Curtis % Done: 100%
Category: Package Management Estimated time: 0.20 hour
Target version: FreeBSD 9 Spent time: 0.50 hour
Description

| encountered an error while trying to install sqglite3 via npm on FreeBSD 9.

e The error | encountered stated:

gyp ERR! build error
gyp ERR! stack Error: ‘gmake' failed with exit code: 2

gyp ERR! stack at ChildProcess.onExit (/usr/local/lib/node_modules/npm/node_modules/node-g
yp/lib/build.js:269:23)

gyp ERR! stack at ChildProcess.emit (events.js:110:17)

gyp ERR! stack at Process.ChildProcess._handle.onexit (child_process.js:1074:12)

gyp ERR! System FreeBSD 9.3-RELEASE-plé6

gyp ERR! command "/usr/local/bin/node" "/usr/local/lib/node_modules/npm/node_modules/node-gyp/
bin/node-gyp.js" "rebuild" "--name=sqglite3" "--configuration=Release" "--module_name=node_sqgli
te3" "--version=2.2.7" "--major=2" "--minor=2" "--patch=7" "--runtime=node" "--node_abi=node-v
14" "--platform=freebsd" "--target_platform=freebsd" "--arch=x64" "--target_arch=x64" "--modul
e_main=./lib/sqglite3" "--host=https://mapbox-node-binary.s3.amazonaws.com/" "--module_path=/us
r/local/lib/node_modules/jsbin/node_modules/sglite3/lib/binding/node-vl14-freebsd-x64" "--remot
e_path=./sqglite3/v2.2.7/" "--package_name=node-vl4d-freebsd-x64.tar.gz" "--staged_tarball=build
/stage/sqlite3/v2.2.7/node-vl14-freebsd-x64.tar.gz" "--hosted_path=https://mapbox-node-binary.s
3.amazonaws.com/sqlite3/v2.2.7/" "--hosted_tarball=https://mapbox—-node-binary.s3.amazonaws.com
/sqlite3/v2.2.7/node-vl4-freebsd-x64.tar.gz"

gyp ERR! cwd /usr/local/lib/node_modules/jsbin/node_modules/sglite3

gyp ERR! node -v v0.12.7

gyp ERR! node-gyp -v v2.0.2

gyp ERR! not ok

node-pre-gyp ERR! build error

node-pre—-gyp ERR! stack Error: Failed to execute '/usr/local/bin/node rebuild --name=sqglite3 -
—configuration=Release —--module_name=node_sqglite3 --version=2.2.7 --major=2 —--minor=2 —--patch=
7 —-runtime=node --node_abi=node-v14 --platform=freebsd --target_platform=freebsd --arch=x64 -
—-target_arch=x64 —--module_main=./lib/sqglite3 —--host=https://mapbox—-node-binary.s3.amazonaws.co
m/ —--module_path=/usr/local/lib/node_modules/jsbin/node_modules/sqglite3/1lib/binding/node-v14-£f
reebsd-x64 —--remote_path=./sqglite3/v2.2.7/ --package_name=node-vl4d-freebsd-x64.tar.gz —--staged
_tarball=build/stage/sqglite3/v2.2.7/node-vl1d-freebsd-x64.tar.gz —-hosted_path=https://mapbox—-n
ode-binary.s3.amazonaws.com/sglite3/v2.2.7/ —-hosted_tarball=https://mapbox-node-binary.s3.ama
zonaws.com/sqglite3/v2.2.7/node-vl14d-freebsd-x64.tar.gz' (1)

node-pre—-gyp ERR! stack at ChildProcess.<anonymous> (/usr/local/lib/node_modules/jsbin/nod
e_modules/sglite3/node_modules/node-pre—-gyp/lib/util/compile.js:76:29)

node-pre—-gyp ERR! stack at ChildProcess.emit (events.js:110:17)

node-pre—-gyp ERR! stack at maybeClose (child_process.js:1015:16)

node-pre-gyp ERR! stack at Process.ChildProcess._handle.onexit (child_process.js:1087:5)

node-pre—gyp ERR! System FreeBSD 9.3-RELEASE-pl6

node-pre—-gyp ERR! command "node" "/usr/local/lib/node_modules/jsbin/node_modules/sglite3/node_
modules/.bin/node-pre—-gyp" "install" "--fallback-to-build"

node-pre-gyp ERR! cwd /usr/local/lib/node_modules/jsbin/node_modules/sqglite3

node-pre-gyp ERR! node -v v0.12.7

node-pre-gyp ERR! node-pre-gyp -v v0.5.22

node-pre-gyp ERR! not ok

Failed to execute '/usr/local/bin/node rebuild --name=sqglite3 --configuration=Release --module
_name=node_sqglite3 --version=2.2.7 —--major=2 --minor=2 --patch=7 --runtime=node --node_abi=nod
e-vld --platform=freebsd --target_platform=freebsd --arch=x64 --target_arch=x64 --module_main=

./1lib/sqglite3 --host=https://mapbox-node-binary.s3.amazonaws.com/ --module_path=/usr/local/lib
/node_modules/jsbin/node_modules/sqglite3/lib/binding/node-vl4-freebsd-x64 —--remote_path=./sqgli
te3/v2.2.7/ —--package_name=node-vl4-freebsd-x64.tar.gz —--staged_tarball=build/stage/sqlite3/v2
.2.7/node-v14-freebsd-x64.tar.gz —--hosted_path=https://mapbox-node-binary.s3.amazonaws.com/sqgl
ite3/v2.2.7/ —-hosted_tarball=https://mapbox—-node-binary.s3.amazonaws.com/sqlite3/v2.2.7/node-
vl4-freebsd-x64.tar.gz' (1)

npm ERR! FreeBSD 9.3-RELEASE-pl6

npm ERR! argv "node" "/usr/local/bin/npm" "install" "-g" "jsbin"

npm ERR! node v0.12.7

npm ERR! npm v2.13.5

npm ERR! code ELIFECYCLE

npm ERR! sglite3@2.2.7 install: "node-pre—-gyp install --fallback-to-build"

npm ERR! Exit status 1

npm ERR!

npm ERR! Failed at the sglite3@2.2.7 install script 'node-pre-gyp install --fallback-to-build'

npm ERR! This is most likely a problem with the sglite3 package,
npm ERR! not with npm itself.

npm ERR! Tell the author that this fails on your system:

npm ERR! node-pre—-gyp install --fallback-to-build

npm ERR! You can get their info via:

npm ERR! npm owner ls sglite3

npm ERR! There is likely additional logging output above.

npm ERR! Please include the following file with any support request:
npm ERR! /usr/local/www/owncloud/npm-debug.log

* To workaround this problem, | needed to add the --sqlite=/usr/local argument:

npm install -g sglite3 --sglite=/usr/local

Resources

e https://github.com/mapbox/node-sqlite3/issues/210

History

#1 - 08/27/2015 10:27 PM - Daniel Curtis
- Status changed from New to In Progress

- % Done changed from 0 to 100

#2 - 08/30/2015 09:57 PM - Daniel Curtis

- Status changed from In Progress to Resolved

#3 - 09/11/2015 05:22 PM - Daniel Curtis

- Status changed from Resolved to Closed
